#
# spec file for package ghc-unliftio-core
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name unliftio-core
%global pkgver %{pkg_name}-%{version}
Name:           ghc-%{pkg_name}
Version:        0.2.1.0
Release:        3.5
Summary:        The MonadUnliftIO typeclass for unlifting monads to IO
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/4.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-transformers-prof
ExcludeArch:    %{ix86}

%description
Please see the documentation and README at
<https://www.stackage.org/package/unliftio-core>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Sun Jun  2 2024 Peter Simons <psimons@suse.com>
- Update unliftio-core to version 0.2.1.0 revision 4.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Nov  2 2023 Peter Simons <psimons@suse.com>
- Update unliftio-core to version 0.2.1.0 revision 3.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Mar 30 2023 Peter Simons <psimons@suse.com>
- Updated spec file to conform with ghc-rpm-macros-2.5.2.
* Wed Mar 22 2023 Peter Simons <psimons@suse.com>
- Update unliftio-core to version 0.2.1.0 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Wed Feb  8 2023 Peter Simons <psimons@suse.com>
- Update unliftio-core to version 0.2.1.0 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Feb  6 2023 Peter Simons <psimons@suse.com>
- Update unliftio-core to version 0.2.1.0.
  [#]# 0.2.1.0
  * Added `Control.Monad.IO.Unlift.liftIOOp`
  [#]# 0.2.0.2
  * Widen `base` upperbound to `< 4.17` to support ghc-9.2.
* Wed Aug  4 2021 psimons@suse.com
- Update unliftio-core to version 0.2.0.1 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Mon Aug 31 2020 psimons@suse.com
- Update unliftio-core to version 0.2.0.1 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 Peter Simons <psimons@suse.com>
- Re-generate file with latest version of spec-cleaner.
* Wed May  6 2020 psimons@suse.com
- Update unliftio-core to version 0.2.0.1.
  [#] ChangeLog for unliftio-core
  [#]# 0.2.0.1
  * Remove faulty default implementation of `withRunInIO` [#56](https://github.com/fpco/unliftio/issues/56)
  [#]# 0.2.0.0
  * Move `askUnliftIO` out of class [#55](https://github.com/fpco/unliftio/issues/55)
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Tue Jun 11 2019 Peter Simons <psimons@suse.com>
- Update Cabal file for more accurate build dependencies.
* Fri Oct 19 2018 Peter Simons <psimons@suse.com>
- Update Cabal build instructions to support ghc-8.6.1.
* Thu Aug 30 2018 psimons@suse.com
- Update unliftio-core to version 0.1.2.0.
  [#]# 0.1.2.0
  * Add `wrappedWithRunInIO`.
* Mon May 14 2018 psimons@suse.com
- Add unliftio-core at version 0.1.1.0.
